RHEL 7 : rh-nodejs8-nodejs (RHSA-2019:1821)

high Nessus プラグイン ID 193999

概要

リモートの Red Hat ホストに 1 つ以上の rh-nodejs8-nodejs 用セキュリティ更新プログラムがありません。

説明

リモート Redhat Enterprise Linux 7 ホストに、RHSA-2019:1821 アドバイザリに記載されている複数の脆弱性の影響を受けるパッケージがインストールされています。

- nodejs: HTTP リクエストの分割 (CVE-2018-12116)

- nodejs: 大きな HTTP ヘッダーによるサービス拒否 (CVE-2018-12121)

- nodejs: Slowloris HTTP のサービス拒否 (CVE-2018-12122)

- nodejs: javascript プロトコルの URL パーサーにおけるホスト名のなりすまし (CVE-2018-12123)

- nodejs-tar: ハードリンクを含む tarball を抽出する際の任意のファイルの上書き (CVE-2018-20834)

- nodejs: server.headersTimeout バイパスを介したDoSを引き起こす不十分なSlowloris の修正 (CVE-2019-5737)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ依存していることに注意してください。

ソリューション

RHEL rh-nodejs8-nodejs パッケージを RHSA-2019:1821 のガイダンスに基づいて更新してください。

参考資料

https://access.redhat.com/security/updates/classification/#important

https://bugzilla.redhat.com/show_bug.cgi?id=1660998

https://bugzilla.redhat.com/show_bug.cgi?id=1661002

https://bugzilla.redhat.com/show_bug.cgi?id=1661005

https://bugzilla.redhat.com/show_bug.cgi?id=1661010

https://bugzilla.redhat.com/show_bug.cgi?id=1690808

https://bugzilla.redhat.com/show_bug.cgi?id=1702338

http://www.nessus.org/u?7de5c6ba

https://access.redhat.com/errata/RHSA-2019:1821

プラグインの詳細

深刻度: High

ID: 193999

ファイル名: redhat-RHSA-2019-1821.nasl

バージョン: 1.0

タイプ: local

エージェント: unix

公開日: 2024/4/27

更新日: 2024/4/27

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

基本値: 6.4

現状値: 5

ベクトル: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:P

CVSS スコアのソース: CVE-2018-20834

CVSS v3

リスクファクター: High

基本値: 7.5

現状値: 6.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

現状ベクトル: CVSS:3.0/E:P/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:redhat:enterprise_linux:7, p-cpe:/a:redhat:enterprise_linux:rh-nodejs8-nodejs, p-cpe:/a:redhat:enterprise_linux:rh-nodejs8-nodejs-devel, p-cpe:/a:redhat:enterprise_linux:rh-nodejs8-nodejs-docs, p-cpe:/a:redhat:enterprise_linux:rh-nodejs8-npm

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2019/7/22

脆弱性公開日: 2018/11/28

参照情報

CVE: CVE-2018-12116, CVE-2018-12121, CVE-2018-12122, CVE-2018-12123, CVE-2018-20834, CVE-2019-5737

CWE: 113, 20, 400, 59

RHSA: 2019:1821